API Documentation
Integrate MailCraft email verification into your application
Authentication: Include your API key in the
X-API-Key header. Get your key from the admin panel.
Base URL
https://demos.kodecraft.io/mailcraft/api
Endpoints
POST
/api/verify
Verify a single email address
Request Headers
| Header | Required | Description |
|---|---|---|
X-API-Key | Yes | Your MailCraft API key |
Content-Type | Yes | application/json |
Request Body
| Parameter | Type | Required | Description |
|---|---|---|---|
email | string | Yes | Email address to verify |
Example Request
curl -X POST https://demos.kodecraft.io/mailcraft/api/verify \
-H "X-API-Key: mc_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{"email": "test@gmail.com"}'
Example Response
{
"success": true,
"data": {
"email": "test@gmail.com",
"status": "valid",
"syntax_valid": true,
"mx_found": true,
"smtp_valid": true,
"is_disposable": false,
"is_role_based": false,
"is_free_provider": true,
"is_catch_all": false,
"domain": "gmail.com",
"mx_record": "gmail-smtp-in.l.google.com",
"score": 75
}
}
POST
/api/bulk-verify
Verify multiple emails (max 100 per request)
Request Body
| Parameter | Type | Required | Description |
|---|---|---|---|
emails | array | Yes | Array of email addresses (max 100) |
Example Request
curl -X POST https://demos.kodecraft.io/mailcraft/api/bulk-verify \
-H "X-API-Key: mc_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{"emails": ["user1@gmail.com", "user2@yahoo.com"]}'
Example Response
{
"success": true,
"count": 2,
"data": [
{ "email": "user1@gmail.com", "status": "valid", "score": 75, ... },
{ "email": "user2@yahoo.com", "status": "valid", "score": 70, ... }
]
}